package p05_petle.zadania;

public class Potegi2 {
    /* Program wypisuje kolejne potęgi liczby 2, dopóki są mniejsze od miliarda.
     * Gdy pierwsza wersja zacznie działać, spróbuj zwiększyć limit.
     * 1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, ...
     */
    
    public static void main(String[] args) {
        final long LIMIT = 4_000_000_000_000_000_000L;
        
        long a = 1;
        while(a < LIMIT) {
            System.out.println(a);
            a = a*2;
        }
        System.out.println("ostatnia: " + a);
        System.out.println();
        
        // można też w pętli for:
//        for(long i = 1; i < LIMIT; i *= 2) {
//            System.out.println(i);
//        }
    }

}
